Bug 52615 - FILEOPEN: ADO driver inactive (thus no connection to MS Access databases)
Summary: FILEOPEN: ADO driver inactive (thus no connection to MS Access databases)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86 (IA32) Windows (All)
: high major
Assignee: David Tardon
QA Contact:
URL:
Whiteboard: BSA target:3.7.0 target:3.6.1
Keywords: regression
: 53267 (view as bug list)
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-07-28 10:31 UTC by John Smith
Modified: 2012-08-15 09:00 UTC (History)
3 users (show)

See Also:


Attachments
MS Access Template (331.71 KB, application/zip)
2012-07-28 10:35 UTC, John Smith
Details
MS Access Template (267.03 KB, application/zip)
2012-07-28 10:36 UTC, John Smith
Details
MS Access Template (999.15 KB, application/zip)
2012-07-28 10:38 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2012-07-28 10:31:52 UTC
Problem description: 
When opening an MS-Access template, I get the following error : " The connection to the data source "New Database" could not be established. The connection to the external data source could not be established. No SDBC driver was found for the given URL. " I also get the same error after opening, every time I click on the 'Tables' icon/button.


Steps to reproduce:
1. Start LibreOffice
2. Click on the 'Database' icon
3. Choose 'connect to an exisiting database'
4. Select 'Microsoft Access' from the drop down list.
5. Click 'next'
6. Click 'Browse', and select the access database template.
7. Click 'Finish'
8. Click 'Save'

Current behavior:
The message stated above is displayed.

Expected behavior:
Being able to view/add/edit tables.
Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.0; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 John Smith 2012-07-28 10:35:03 UTC
Created attachment 64817 [details]
MS Access Template
Comment 2 John Smith 2012-07-28 10:36:49 UTC
Created attachment 64818 [details]
MS Access Template
Comment 3 John Smith 2012-07-28 10:38:05 UTC
Created attachment 64819 [details]
MS Access Template
Comment 4 Alex Thurgood 2012-07-28 16:49:41 UTC
Sounds like component registration of the driver is screwed again ??


I can't test, since I don't have Access any more, but FWIW, I get the same error with the mysql native connector driver on Mac OSX.


Alex
Comment 5 Lionel Elie Mamane 2012-07-30 10:56:40 UTC
Reproduced with LibreOffice 3.6.0.4 (rc), Windows 7 32 bits. (This bug is Windows-specific, obviously.)

Same problem with "any" ADO connection URL.

By contrast connecting through ODBC works (including to MS Access .mdb files).
Comment 6 Lionel Elie Mamane 2012-07-30 16:49:41 UTC
(In reply to comment #4)
> I can't test, since I don't have Access any more

You don't need Microsoft Access to test, only a .mdb file (attached to this bug) and MDAC (Microsoft Data Access Components) installed.


Anyway, this seems indeed to be a registration problem: odbclo.dll is mentioned in none of the .rdb files; it should be mentioned in one of them.

@dtardon: I'm "guessing" and blaming this on the gbuildification; could you check this out please? Thanks.
Comment 7 Lionel Elie Mamane 2012-07-30 18:13:33 UTC
In LibreOffice 3.5 install .msi, unpacked (with 7z under GNU/Linux), I find a libreoffice1.cab. Unpack this file with 7z, it creates a file services1.rdb which contains (among others):


<component loader="com.sun.star.loader.SharedLibrary" uri="vnd.sun.star.expand:$LO_LIB_DIR/adolo.dll">
  <implementation name="com.sun.star.comp.sdbc.ado.ODriver">
    <service name="com.sun.star.sdbc.Driver"/>
    <service name="com.sun.star.sdbcx.Driver"/>
  </implementation>
</component>


OTOH, the same file in LibreOffice 3.6 install .msi does not contain this entry.

In contrast, this file in both versions contains:

<component loader="com.sun.star.loader.SharedLibrary" uri="vnd.sun.star.expand:$LO_LIB_DIR/odbclo.dll">
  <implementation name="com.sun.star.comp.sdbc.ODBCDriver">
    <service name="com.sun.star.sdbc.Driver"/>
  </implementation>
</component>
Comment 8 David Tardon 2012-07-31 05:01:56 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > I can't test, since I don't have Access any more
> 
> You don't need Microsoft Access to test, only a .mdb file (attached to this
> bug) and MDAC (Microsoft Data Access Components) installed.
> 
> 
> Anyway, this seems indeed to be a registration problem: odbclo.dll is mentioned
> in none of the .rdb files; it should be mentioned in one of them.
> 
> @dtardon: I'm "guessing" and blaming this on the gbuildification; could you
> check this out please? Thanks.

Yes, sure.
Comment 9 David Tardon 2012-07-31 08:22:15 UTC
Ah, I accidentally removed ado component registration in commit d4efa8b0cf48f092d8984f3f085909cd1a6a39af ...
Comment 10 Not Assigned 2012-07-31 08:38:56 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7484f81faf2ee4e6bd80b9200ba48ca013434695

fdo#52615 add ADO component to services.rdb again
Comment 11 Not Assigned 2012-07-31 10:59:20 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d46bd28012890fd0b5ae2dc1f562a9d33eae2639&g=libreoffice-3-6

fdo#52615 add ADO component to services.rdb again


It will be available in LibreOffice 3.6.1.
Comment 12 Alex Thurgood 2012-08-15 09:00:00 UTC
*** Bug 53267 has been marked as a duplicate of this bug. ***